petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCBJacobiSetTotalBlocks

Sets the global number of blocks for the block Jacobi preconditioner.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCBJacobiSetTotalBlocks(PC pc,PetscInt blocks,const PetscInt lens[])

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| blocks | - the number of blocks
| lens | - [optional] integer array containing the size of each block

### Options Database Key

-pc_bjacobi_blocks <blocks> -Sets the number of global blocks

### Notes

Currently only a limited number of blocking configurations are supported. All processors sharing the PC must call this routine with the same data.

### Keywords

set, number, Jacobi, global, total, blocks

### See Also

PCSetUseAmat(), PCBJacobiSetLocalBlocks()

Level:intermediate
Location:src/ksp/pc/impls/bjacobi/bjacobi.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex7.c.html